/* About font family */
@import url('https://fonts.googleapis.com/css2?family=Sarabun:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800&display=swap');


/* Customize template. */

/*
    Background: #ffffff
    Typography (head line): #62143a
    body text: #333333
    Interactive Elements: #ae1d5b

*/

/* ##### Root & body ##### */
    :root {
        --color-1:#ffffff;
        --color-2:#fff7fa;
        --color-3:#ae1d5b;
        --color-4:#ae1d5b;
        --color-5:#62143a;
        /* --bs-body-color:#62143a; */
    }

    body {
        font-family: 'Sarabun', sans-serif;
        font-size: 16px;       /* มาตรฐาน */
        font-weight: 400;     /* อ่านง่ายสุดสำหรับ Body */
        line-height: 1.6;     /* เผื่อที่ให้สระไทย */
        -webkit-font-smoothing: antialiased; /* ช่วยให้ตัวอักษรบน Chrome/Safari ดูคมชัดขึ้น */
    }

    /* ===== InputColor ===== */
    input[type=color]::-webkit-color-swatch-wrapper {
        padding:0;
    }
    input[type=color]::-webkit-color-swatch {
        border-radius:4px;
        border:solid 2px rgb(0,0,0,0.2);
    }
    input[type=color] {
        height:30px;
        width:30px;
        border-radius:10px;
        border:none;
    }

/* ##### SIDEBAR ##### */
    .pc-sidebar {
        background-color: var(--color-5);
    }
    /* header sector */
    .pc-sidebar .navbar-wrapper {
        background-color:var(--color-5);
        color:var(--color-1);
    }
    /* menu list */
    /* - รายการเมนู (หัวข้อ) */
    .pc-sidebar .pc-caption label  {
        color:var(--color-1);
    }

    /* - รายการเมนู */
    .pc-sidebar .pc-navbar > li.pc-item > .pc-link,
    .pc-sidebar .pc-link {
        color:var(--color-1);
        opacity:0.7;
        border-radius:8px;
        text-decoration: none;
    }
    /* - รายการเมนู active */
    .pc-sidebar .pc-navbar > li.pc-item.active > .pc-link
    {
        background:var(--color-4);
        color:var(--color-1);
        opacity:1;
        text-decoration:none;
    }

    /* - รายการเมนู (เมนูย่อย) active */
    .pc-sidebar .pc-navbar > .pc-item .pc-submenu .pc-item.active > .pc-link, .pc-sidebar .pc-navbar > .pc-item .pc-submenu .pc-item.pc-trigger > .pc-link {
        color:var(--color-1);
        opacity:1;
    }
    .pc-sidebar .pc-navbar > .pc-item .pc-submenu .pc-item.active > .pc-link::after {
        background:var(--color-1);
    }


    /* - รายการเมนู hover */
    .pc-sidebar .pc-navbar li.pc-item:hover > .pc-link,
    .pc-sidebar .pc-link:hover {
        background-color:var(--color-3);
    }

    /* sidebar ส่วน จนท. */
    .pc-sidebar .card.pc-user-card {
        border-top:solid 1px rgba(255, 255, 255, 0.1);
        background-color:var(--color-5);
        color:var(--color-1);
    }

/* ##### TOPBAR ##### */
    /* topbar-title - title ด้านบน */
    header .topbar-title {
        color:var(--color-5);
    }


/* ##### Table ##### */
    table.table th {
        color:#777;
        background:#ccc;
    }

/* ##### Button ##### */
    .btn.btn-primary {
        background-color:var(--color-5);
        border-color:var(--color-5);
    }

    .btn.btn-primary:active {
        background-color:var(--color-4);
        border-color:var(--color-4);
    }

    .btn.btn-success {
        background-color:#065700;
    }

    .btn.btn-danger {
        background-color:#961808;
    }


/* ##### Card ##### */
    .card .card-header {
        padding:0.5rem 1rem;
    }

    .card .card-body {
        padding:1rem;
    }

/* ##### About Color ##### */
    :root {
        --bs-primary:var(--color-4);
    }
    .text-bg-primary {
        background-color:var(--color-5) !important;
    }

    label {
        font-weight: bold;
        color: #333;
        font-size: 0.85rem;
        margin-bottom: 0;
    }

    h3 {
        color: #333;
    }


/* ##### NAV ##### */
    .nav {
        margin-bottom:1rem;
    }

    .nav .nav-link {
        color:var(--color-5);
    }

    .nav-pills .nav-link.active {
        background-color:var(--color-5);
    }

/* ##### INPUTS ##### */
    label.checkbox-label {
        cursor:pointer;
        font-weight:normal;
    }

    input[type=text],
    input[type=password],
    input[type=file] {
        box-sizing: border-box;
        height:48px;
        line-height:34px;
    }

/* ##### Other ##### */
    .row:not(:last-child) {
        margin-bottom:1rem;
    }


/* ##### Select2 ##### */
    .select2-container .select2-selection--single .select2-selection__rendered {
        padding-left:1rem !important;
    }

    .form-select {
        height:48px;
    }

/* swal2 */
body .swal2-container.swal2-backdrop-show, body .swal2-container.swal2-noanimation {
    background: rgba(0, 0, 0, 0.6) !important;
    z-index: 99999 !important;
}

.tbl-plan-treatments th {
    color: #000 !important;
    font-weight: 800;
    font-size: 16px !important;
}
